
import '../../../../../../food_delivery_client.dart';

class WRestaurantsByCategoryBody extends StatelessWidget {
  const WRestaurantsByCategoryBody({super.key, required this.categoryName});

  final String categoryName;

  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      scrollDirection: Axis.vertical,
      physics: const AlwaysScrollableScrollPhysics(),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            categoryName,
            style: AppTextStyles.size36Bold.copyWith(
              height: 44/36
            ),
          ).paddingSymmetric(horizontal: 15),
          15.verticalSpace,
          Text(
            context.loc.featuredStores,
            style: AppTextStyles.size30Bold.copyWith(
              height: 44/30
            ),
          ).paddingSymmetric(horizontal: 15),
          15.verticalSpace,
          WFeaturedStores(),
          16.verticalSpace,
          WDivider(),
          WStoresList()



        ],
      ),
    );
  }
}
